Bug 737907 - Document areas to debug of --log-enable option
Summary: Document areas to debug of --log-enable option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide
Version: 2.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: 2.1.2
: ---
Assignee: Cheryn Tan
QA Contact: Zdenek Kraus
URL:
Whiteboard:
Depends On: 733205
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 11:27 UTC by Pavel Moravec
Modified: 2014-06-18 07:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-02 05:31:36 UTC


Attachments (Terms of Use)

Description Pavel Moravec 2011-09-13 11:27:34 UTC
Description of problem:
--log-enable option is not documented outside qpidd process, and one its parameter is not documented anywhere. Fixing this would help in troubleshooting to (know how to) setup proper logging a lot.

qpidd --help describes verbosity levels to debug with the possibility to restrict the logging change to some component ('--log-enable debug:framing' is an example there). But the "components" are not described anywhere. Per http://fossplanet.com/f13/list-areas-log-debug-trace-192193/#post581190, the string is matched against the fully-qualied name of the c++ function with the logging statement. I.e. this allows to selectivelly switch on/off even logs from individual functions (knowing source code little bit).

Version-Release number of selected component (if applicable):
any


How reproducible:
documentation issue


Steps to Reproduce:
(not relevant)

  
Actual results:
only qpidd --help describes --log-enable option somehow


Expected results:
Add the option to manuals with both severity and module/scope described. Particular manual to contain that info can be either user manual (logically best place) or to installation manual (where other logging related options are described in Section 3.3. Logging Broker Errors.


Additional info:

Comment 5 Zdenek Kraus 2011-11-14 12:23:56 UTC
Source:
   <command>--log-enable debug+:cluster</command> - logs debug messages from
the <filename>qpid/cluster</filename> module. This option can be used multiple
times.

Note:
   'debug+' level logs debug and higher logging level. So above part of manual is wrong. Please change 'debug+' to 'debug' or change description to something like "logs all debug, info, notice, warning, error, critical messages from the qpid/cluster ..."


-> ASSIGNED

Comment 7 Zdenek Kraus 2011-11-16 13:01:21 UTC
This looks right.

-> VERIFIED

Comment 8 Cheryn Tan 2012-05-02 05:31:36 UTC
Documents have been published on http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/index.html as part of the MRG-M 2.1.2 update.


Note You need to log in before you can comment on or make changes to this bug.